Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 817426 - lack of package name makes it impossible to make an informed decision about an untrusted package update
Summary: lack of package name makes it impossible to make an informed decision about a...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-packagekit
Version: 16
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-30 00:45 UTC by Anthony Symons
Modified: 2013-02-13 14:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 14:44:06 UTC
Type: Bug


Attachments (Terms of Use)
screenshot showing 40+ packages to be installed, but not showing which is untrusted (192.96 KB, image/jpeg)
2012-04-30 00:46 UTC, Anthony Symons
no flags Details

Description Anthony Symons 2012-04-30 00:45:25 UTC
Description of problem:

When packagekit warns "The software is not from a trusted source." It does not tell you which package it is talking about. During an update which includes multiple packages you can not tell if it is talking about a 3rd party rpm which you know is from an untrusted source, or a system rpm which has been tampered with. The user will just click 'ok' and thus security is reduced.

Version-Release number of selected component (if applicable):

gnome-packagekit-3.2.1-1.fc16.x86_64

How reproducible:

Easily

Steps to Reproduce:
1. Install a 3rd party rpm repo
2. Wait 1 week (or untill an installed 3rd party rpm is updated)
3. Check for updates with package kit and observe information lacking in dialog
  
Actual results:


Expected results:
I want to see the name of the package which is untrusted on the screen with the button to allow it in the default view.

Additional info:
Screenshot attached. The package listed in the dialog is the one which has popped up the dialog - not the package that is untrusted. So how can one make an informed decision?

Comment 1 Anthony Symons 2012-04-30 00:46:52 UTC
Created attachment 581112 [details]
screenshot showing 40+ packages to be installed, but not showing which is untrusted

Comment 2 Garrett Mitchener 2012-07-17 17:31:13 UTC
This is driving me nuts today on Fedora 17.  I'm not sure which package it's complaining about and I have no way to find out other than to use brute force, or use some other package tool.

I'm using gnome-packagekit-3.4.2-1.fc17.i686.

Comment 3 Fedora End Of Life 2013-01-16 13:49:33 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora End Of Life 2013-02-13 14:44:09 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.